﻿using System;
using System.Collections.ObjectModel;
using Syncfusion.SfNavigationDrawer.XForms;
using Xamarin.Forms;

namespace NavigationDrawer_125368
{
	public partial class NavigationDrawer_125368Page : ContentPage
	{
		public NavigationDrawer_125368Page()
		{
			InitializeComponent();
			ObservableCollection<String> list = new ObservableCollection<string>();
			list.Add("Home");
			list.Add("Profile");
			list.Add("Inbox");
			list.Add("Outbox");
			list.Add("Sent");
			list.Add("Draft");
			listView.ItemsSource = list;
			listView.ItemSelected += (sender, e) => {
				if (e.SelectedItem.ToString().Equals("Profile"))
				{

					navigationDrawer.ContentView = new Profilepage().Content;
				}

				else if (e.SelectedItem.ToString().Equals("Inbox"))
				{

					navigationDrawer.ContentView = new InboxPage().Content;
				}
				else if (e.SelectedItem.ToString().Equals("Outbox"))
				{

					navigationDrawer.ContentView = new OutBoxPage().Content;
				}
				else if (e.SelectedItem.ToString().Equals("Sent"))
				{


					navigationDrawer.ContentView = new SentPage().Content;
				}
				else if (e.SelectedItem.ToString().Equals("Draft"))
				{

					navigationDrawer.ContentView = new DraftPage().Content;
				}
				else if (e.SelectedItem.ToString().Equals("Home"))
				{

					navigationDrawer.ContentView = new HomePage().Content;
				}
			};

			Btnmenu.Clicked += (sender, e) =>
			{
				navigationDrawer.ContentView = new InboxPage().Content;
			};
		}
	}
}

